%define name	TrueReality
%define version	1999121400
%define rel	7

%define release %mkrel %rel
%{?!mkrel:%define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%define distsuffix plf

Summary:	N64 emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Emulators
License:	GPL
URL:		http://truereality.emuhq.com/unix/index.shtml
Source0:	http://www.emuhq.com/emulators/%{name}-%{version}.tar.bz2
Source1:	Makefile.config.bz2
Patch1:		TrueReality-add-x86_64.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	XFree86-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel

%description
TrueReality is a portable, GPL'ed Nintendo 64 (N64) emulator. It basically
allows you to play most games designed for the N64 game system on your PC
or Workstation.

This package is in PLF as Mandrakelinux policy forbids emulators in contribs.
%prep

%setup -q -n %{name}
%patch1 -p1
bzcat %{SOURCE1} > Source/Makefile.config

%build
cd Source
%make OPT="$RPM_OPT_FLAGS" CPU=%_arch XLIB=%{_prefix}/X11R6/%{_lib} \
%ifarch %{ix86}
	ASM=DISPLAY
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 Source/TrueReality $RPM_BUILD_ROOT%{_bindir}
chmod 644 COPYRIGHT Documentation/*

%files
%defattr(-,root,root)
%doc Documentation/*
%{_bindir}/TrueReality

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Oct  8 2005 Anssi Hannula <anssi@zarb.org> 1999121400-7plf
- fix x86_64 build (patch1)
- mkrel

* Thu Aug 18 2005 Michael Scherer <misc@zarb.org> 1999121400-6plf
- rebuild ( fix #64 )

* Mon Jan 31 2005 Michael Scherer <misc@zarb.org> 1999121400-5plf
- rebuild
- fix rpmlint warning
- move to %%{_bindir}

* Sun Jul 20 2003 Michael Scherer <scherer.michael@free.fr>  1999121400-4plf
- fix building, COPYRIGHT was packaged twice.

* Sat Apr 27 2002 Stefan van der Eijk <stefan@eijk.nu> 1999121400-3plf
- BuildRequires

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 1999121400-2plf 
- cleanup

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 1999121400-1plf
- release
